<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_LOG_LEVEL" value="error" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="AvailableLibraryUpdateStorage">
    <library-updates>
      <library-update>
        <group-id>com.android.support.constraint</group-id>
        <name>constraint-layout</name>
        <version>2.0.0-beta6</version>
        <repository>Google</repository>
      </library-update>
      <library-update>
        <group-id>com.android.support.test</group-id>
        <name>runner</name>
        <version>1.0.2</version>
        <repository>Google,Android Repository</repository>
      </library-update>
    </library-updates>
    <last-search-timestamp>1590585638832</last-search-timestamp>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="6e364de1-9b09-4761-af5b-2d679be810ef" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/SkinManager.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="419">
              <caret line="105" column="27" selection-start-line="105" selection-start-column="27" selection-end-line="105" selection-end-column="27" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_27/TwoActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="201">
              <caret line="14" column="38" selection-start-line="14" selection-start-column="38" selection-end-line="14" selection-end-column="38" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_two.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="125">
              <caret line="26" column="36" selection-start-line="26" selection-start-column="36" selection-end-line="26" selection-end-column="36" />
            </state>
          </provider>
          <provider editor-type-id="android-designer2" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_27/MainActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="225">
              <caret line="9" column="40" selection-start-line="9" selection-start-column="40" selection-end-line="9" selection-end-column="40" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/BaseActvity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="26">
              <caret line="7" lean-forward="true" selection-start-line="7" selection-end-line="7" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/SkinFactory.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="50">
              <caret line="19" column="61" selection-start-line="19" selection-start-column="61" selection-end-line="19" selection-end-column="61" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>onCreateView</find>
      <find>addAssetPath(</find>
      <find>textView(</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_27/SkinFactory.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_27/MainActivity.java" />
        <option value="$PROJECT_DIR$/skin/src/main/res/values/colors.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_27/TwoActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/values/colors.xml" />
        <option value="$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/SkinManager.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_two.xml" />
        <option value="$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/SkinFactory.java" />
        <option value="$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/BaseActvity.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-2" />
    <option name="width" value="1655" />
    <option name="height" value="1047" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MN_2020_5_27" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_5_27" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="AndroidView" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.sdk.path" value="E:/Android/Sdk" />
    <property name="device.picker.selection" value="Pixel_3_API_24_2" />
    <property name="last_opened_file_path" value="$USER_HOME$/Desktop/skin.apk" />
    <property name="project.structure.last.edited" value="Dependencies" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.33124018" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.maniu.skin_lib" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\MN_Android\MN_2020_5_27\skin\src\main\res\drawable" />
      <recent name="F:\MN_Android\MN_2020_5_27\app\src\main\res\layout" />
      <recent name="F:\MN_Android\MN_2020_5_27\app\src\main\java\com\maniu\mn_2020_5_27" />
      <recent name="F:\MN_Android\MN_2020_5_27\app\src\main\res\drawable" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Android App.app">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="skin" type="AndroidRunConfigurationType" factoryName="Android App">
      <module name="skin" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="6e364de1-9b09-4761-af5b-2d679be810ef" name="Default Changelist" comment="" />
      <created>1590579525793</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1590579525793</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-2" y="0" width="1655" height="1047" extended-state="0" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" visible="true" weight="0.19646241" />
      <window_info id="Structure" side_tool="true" />
      <window_info id="Build Variants" side_tool="true" />
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="Resources Explorer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Run" />
      <window_info anchor="bottom" id="Logcat" weight="0.14369158" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="TODO" />
      <window_info anchor="bottom" id="Debug" weight="0.19042057" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Flutter Performance" side_tool="true" />
      <window_info anchor="bottom" id="Build" weight="0.24883178" />
      <window_info anchor="bottom" id="Android Profiler" />
      <window_info anchor="right" id="Device File Explorer" side_tool="true" weight="0.32975364" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Gradle" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Flutter Inspector" />
      <window_info anchor="right" id="Preview" />
      <window_info anchor="right" id="Flutter Outline" />
      <window_info anchor="right" id="Palette&#9;" />
    </layout>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/SkinFactory.java</url>
          <line>146</line>
          <properties />
          <option name="timeStamp" value="1" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/SkinManager.java</url>
          <line>112</line>
          <properties />
          <option name="timeStamp" value="2" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/b4669202b5d13989484933a58c86574f/jars/classes.jar!/android/support/v7/app/AppCompatViewInflater.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="204" column="32" selection-start-line="204" selection-start-column="32" selection-end-line="204" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/b4669202b5d13989484933a58c86574f/jars/classes.jar!/android/support/v7/app/AppCompatDelegateImpl.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="990" column="47" selection-start-line="990" selection-start-column="47" selection-end-line="990" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/b4669202b5d13989484933a58c86574f/jars/classes.jar!/android/support/v7/app/AppCompatDelegate.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="105" column="25" selection-start-line="105" selection-start-column="25" selection-end-line="105" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/b4669202b5d13989484933a58c86574f/jars/classes.jar!/android/support/v7/app/AppCompatActivity.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="48" column="23" selection-start-line="48" selection-start-column="23" selection-end-line="48" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://F:/sdk1/sources/android-28/android/content/res/AssetManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="364" column="28" selection-start-line="364" selection-start-column="15" selection-end-line="364" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://F:/sdk1/sources/android-28/android/view/LayoutInflater.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="212">
          <caret line="149" column="21" selection-start-line="149" selection-start-column="21" selection-end-line="149" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_27/SkinFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="93">
          <caret line="10" column="22" lean-forward="true" selection-start-line="10" selection-start-column="22" selection-end-line="10" selection-end-column="22" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/9b08df61823fb1fba198eb0d28489cbf/jars/classes.jar!/android/support/v4/view/LayoutInflaterCompat.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="212">
          <caret line="66" column="82" selection-start-line="66" selection-start-column="82" selection-end-line="66" selection-end-column="82" />
        </state>
      </provider>
    </entry>
    <entry file="file://F:/sdk1/sources/android-28/android/widget/TextView.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="211">
          <caret line="862" selection-start-line="862" selection-end-line="862" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="400">
          <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/skin/src/main/res/layout/activity_main.xml">
      <provider selected="true" editor-type-id="text-editor" />
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/skin/src/main/java/com/maniu/skin/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/drawable/bg.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider editor-type-id="android-manifest" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="193">
          <caret line="8" column="42" selection-start-line="8" selection-start-column="42" selection-end-line="8" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values/colors.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="5" selection-start-line="5" selection-end-line="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/skin/src/main/res/values/colors.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="4" column="4" selection-start-line="4" selection-start-column="4" selection-end-line="4" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_27/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="9" column="40" selection-start-line="9" selection-start-column="40" selection-end-line="9" selection-end-column="40" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_27/TwoActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="201">
          <caret line="14" column="38" selection-start-line="14" selection-start-column="38" selection-end-line="14" selection-end-column="38" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/SkinManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="419">
          <caret line="105" column="27" selection-start-line="105" selection-start-column="27" selection-end-line="105" selection-end-column="27" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/BaseActvity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="26">
          <caret line="7" lean-forward="true" selection-start-line="7" selection-end-line="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_two.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="26" column="36" selection-start-line="26" selection-start-column="36" selection-end-line="26" selection-end-column="36" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/skin_lib/src/main/java/com/maniu/skin_lib/SkinFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="19" column="61" selection-start-line="19" selection-start-column="61" selection-end-line="19" selection-end-column="61" />
        </state>
      </provider>
    </entry>
  </component>
</project>